Package org.apache.activemq.artemis.api.core.management

## Class MessageCounterInfo

- java.lang.Object
- - org.apache.activemq.artemis.api.core.management.MessageCounterInfo

-     public final class MessageCounterInfo
      extends java.lang.Object

  Helper class to create Java Objects from the JSON serialization returned by `QueueControl.listMessageCounter()`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessageCounterInfo​(java.lang.String name, java.lang.String subscription, boolean durable, long count, long countDelta, int depth, int depthDelta, java.lang.String lastAddTimestamp, java.lang.String lastAckTimestamp, java.lang.String updateTimestamp)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MessageCounterInfo` | `fromJSON​(java.lang.String jsonString)` | Returns a MessageCounterInfo corresponding to the JSON serialization returned by `QueueControl.listMessageCounter()`.
    `long` | `getCount()` | Returns the number of messages added to the queue since it was created.
    `long` | `getCountDelta()` | Returns the number of messages added to the queue since the last counter sample.
    `int` | `getDepth()` | Returns the number of messages currently in the queue.
    `int` | `getDepthDelta()` | Returns the number of messages in the queue since last counter sample.
    `java.lang.String` | `getLastAckTimestamp()` | Returns the timestamp of the last time a message from the queue was acknolwedged.
    `java.lang.String` | `getLastAddTimestamp()` | Returns the timestamp of the last time a message was added to the queue.
    `java.lang.String` | `getName()` | Returns the name of the queue.
    `java.lang.String` | `getSubscription()` | Returns the name of the subscription.
    `java.lang.String` | `getUdpateTimestamp()` | Deprecated.
    `java.lang.String` | `getUpdateTimestamp()` | Returns the timestamp of the last time the queue was updated.
    `boolean` | `isDurable()` | Returns whether the queue is durable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageCounterInfo

          public MessageCounterInfo​(java.lang.String name,
                                    java.lang.String subscription,
                                    boolean durable,
                                    long count,
                                    long countDelta,
                                    int depth,
                                    int depthDelta,
                                    java.lang.String lastAddTimestamp,
                                    java.lang.String lastAckTimestamp,
                                    java.lang.String updateTimestamp)

  - ### Method Detail

    - #### fromJSON

          public static MessageCounterInfo fromJSON​(java.lang.String jsonString)
                                             throws java.lang.Exception

      Returns a MessageCounterInfo corresponding to the JSON serialization returned by `QueueControl.listMessageCounter()`.
      Throws:
        `java.lang.Exception`

    - #### getName

          public java.lang.String getName()

      Returns the name of the queue.

    - #### getSubscription

          public java.lang.String getSubscription()

      Returns the name of the subscription.

    - #### isDurable

          public boolean isDurable()

      Returns whether the queue is durable.

    - #### getCount

          public long getCount()

      Returns the number of messages added to the queue since it was created.

    - #### getCountDelta

          public long getCountDelta()

      Returns the number of messages added to the queue since the last counter sample.

    - #### getDepth

          public int getDepth()

      Returns the number of messages currently in the queue.

    - #### getDepthDelta

          public int getDepthDelta()

      Returns the number of messages in the queue since last counter sample.

    - #### getLastAddTimestamp

          public java.lang.String getLastAddTimestamp()

      Returns the timestamp of the last time a message was added to the queue.

    - #### getLastAckTimestamp

          public java.lang.String getLastAckTimestamp()

      Returns the timestamp of the last time a message from the queue was acknolwedged.

    - #### getUpdateTimestamp

          public java.lang.String getUpdateTimestamp()

      Returns the timestamp of the last time the queue was updated.

    - #### getUdpateTimestamp

          @Deprecated
          public java.lang.String getUdpateTimestamp()

      Deprecated.
      Spelling error in public API. Remove in next major release.